name: rasa_nlu_trainer
cmd:
  - start: |
      source_speech
      mkdir -p ${PATH_TO_RASA_MODELS}
      echo "using config: ${RASA_CONFIG}" 
      echo "using NLU: ${RASA_NLU_FILE}"
      echo "using output_dir: ${PATH_TO_RASA_MODELS}"
      modelname=`basename ${RASA_NLU_FILE}`
      outmodel=${modelname%.*}
      echo "output modelname: ${outmodel}"
      CUDA_VISIBLE_DEVICES='' rosrun ros_rasa train_model.py -c ${RASA_CONFIG} -n ${RASA_NLU_FILE} -o ${PATH_TO_RASA_MODELS} -m ${outmodel}
tags:
  - speech
  - speech_rec

noauto: true
host: ${laptop}
